## ros-kinetic-hironx-ros-bridge 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hironx_ros_bridge)

find_package(catkin REQUIRED COMPONENTS hrpsys_ros_bridge roslib roslint rostest)
find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
    CATKIN_DEPENDS hrpsys_ros_bridge roslib #
    INCLUDE_DIRS include
)

catkin_python_setup()

add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/models/kawada-hironx.dae
  COMMAND ${catkin_EXTRAS_DIR}/test/download_checkmd5.py
  https://github.com/rdiankov/collada_robots/raw/master/kawada-hironx.zae
  ${PROJECT_SOURCE_DIR}/models/kawada-hironx.zae
  be4b0015914d33a5aaa24ee055bcdbc8
  COMMAND unzip -u ${PROJECT_SOURCE_DIR}/models/kawada-hironx.zae
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/models
  VERBATIM)
# commit generated files due to  https://code.google.com/p/rtm-ros-robotics/issues/detail?id=187
#compile_collada_model(${PROJECT_SOURCE_DIR}/models/kawada-hironx.dae)

# set ROBOT_NAME and OPENHRP3 for configure_file
set(PKG_CONFIG_PATH "${openhrp3_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}") # for openrtm3.1.pc
execute_process(
  COMMAND pkg-config --variable=idl_dir openhrp3.1
  OUTPUT_VARIABLE OPENHRP_IDL_DIR
  RESULT_VARIABLE RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT RESULT EQUAL 0)
  set(OPENHRP_FOUND FALSE)
endif()
# OPENHRP_IDL_DIR = <openhrp3>/share/OpenHRP-3.1/idl/
set(OPENHRP_SAMPLE_DIR ${OPENHRP_IDL_DIR}/../../../)
set(OPENHRP3 ${OPENHRP_SAMPLE_DIR})  # for longfloor.wrl
set(ROBOT_NAME kawada-hironx)

message("Configure ${ROBOT_NAME} related file with OPENHRP3=${OPENHRP3}")
configure_file(conf/RobotHardware.conf.in       ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.RobotHardware.conf)
configure_file(conf/nosim.RobotHardware.conf.in ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.RobotHardware.conf)
configure_file(conf/xml.in                      ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.xml)
configure_file(conf/nosim.xml.in                ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.xml)
configure_file(conf/conf.in                     ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.conf)
configure_file(conf/nosim.conf.in               ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.conf)
add_custom_target(${PROJECT_NAME}_model_files ALL DEPENDS ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.RobotHardware.conf ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.RobotHardware.conf ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.xml ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.xml ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}.conf ${PROJECT_SOURCE_DIR}/conf/${ROBOT_NAME}_nosim.conf)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

#add_definitions("-std=c++0x")
add_library(
  ros_client_cpp include/ros_client.cpp
)

add_executable(
    acceptancetest_hironx_cpp src/acceptancetest_hironx.cpp
)

target_link_libraries(
  acceptancetest_hironx_cpp
  ros_client_cpp ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

install(TARGETS acceptancetest_hironx_cpp
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} PATTERN ".svn" EXCLUDE)
install(DIRECTORY scripts DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS PATTERN ".svn" EXCLUDE)
install(DIRECTORY conf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} PATTERN ".svn" EXCLUDE)
install(DIRECTORY models DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} PATTERN ".svn" EXCLUDE)
install(DIRECTORY resource DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY test DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS PATTERN ".svn" EXCLUDE)
install(FILES rqt_plugin.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(CODE "
  message(\"++ glob files under \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/conf/\")
  file(GLOB _xml_files \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/conf/*.xml)
  file(GLOB _conf_files \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/conf/*.conf)
  message(\"++ sed -i s@${PROJECT_SOURCE_DIR}@${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}@ \${_file}\")
  if (EXISTS ${openhrp3_SOURCE_DIR})
    message(\"++sed -i s@${openhrp3_SOURCE_DIR}/share/OpenHRP-3.1@${CMAKE_INSTALL_PREFIX}/share/openhrp3/share/OpenHRP-3.1@g \${_conf_file}\")
  endif()
  message(\"++ xml_files:\${_xml_files} \")
  message(\"++ conf_files:\${_conf_files} \")
  foreach(_file \${_xml_files} \; \${_conf_files} )
    message(\"  ++ fix \${_file} \")
    execute_process(COMMAND sed -i s@${PROJECT_SOURCE_DIR}@${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}@ \${_file} )
    if (EXISTS ${openhrp3_SOURCE_DIR})
      execute_process(COMMAND sed -i s@${openhrp3_SOURCE_DIR}/share/OpenHRP-3.1@${CMAKE_INSTALL_PREFIX}/share/openhrp3/share/OpenHRP-3.1@g \${_file} )
    endif()
    execute_process(COMMAND sed -i s@${PROJECT_SOURCE_DIR}@${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}@ \${_file} )
  endforeach()
  ")

install(TARGETS acceptancetest_hironx_cpp ros_client_cpp
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

add_rostest(test/test-hironx.test)
add_rostest(test/test-hironx-ros-bridge.test)
add_rostest(test/test-hironx-ros-bridge-send.test)
add_rostest(test/test-hironx-ros-bridge-pose.test)
add_rostest(test/test-hironx-ros-bridge-controller.test)

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_no_ros.py)
endif()

roslint_python(scripts/hironx.py src/hironx_ros_bridge/hironx_client.py src/hironx_ros_bridge/ros_client.py src/hironx_ros_bridge/constant.py src/hironx_ros_bridge/testutil/test_rosbridge.py)
roslint_cpp()

=== robot/Makefile ===
MODULE_LOAD_PATH = /opt/jsk/lib
INSTALL_DIR=/opt/jsk
ROBOT=HIRONX
ROBOT_IP=hiro014

ROBOT_PATH = ${INSTALL_DIR}/etc/${ROBOT}
LOG_PATH =   ${INSTALL_DIR}/var/log

all: configure

configure:
	for file in *.in; do\
		echo "configure $$file"; \
		sed s!@MODULE_LOAD_PATH@!${MODULE_LOAD_PATH}! $$file | \
		sed s!@INSTALL_DIR@!${INSTALL_DIR}! | \
		sed s!@ROBOT_PATH@!${ROBOT_PATH}! | \
		sed s!@LOG_PATH@!${LOG_PATH}! | \
		sed s!@ROBOT_IP@!${ROBOT_IP}! > `basename $$file .in`; \
	done
	@echo "\n\n\`make install\` to install generated files\n\n"

install:
	mkdir -p ${INSTALL_DIR}/bin/ ${INSTALL_DIR}/etc/${ROBOT}/hrprtc/
	cp rtcd.sh		${INSTALL_DIR}/bin/ && chmod u+x ${INSTALL_DIR}/bin/rtcd.sh
	cp NameServer.sh	${INSTALL_DIR}/bin/ && chmod u+x ${INSTALL_DIR}/bin/NameServer.sh
	cp ModelLoader.sh	${INSTALL_DIR}/bin/ && chmod u+x ${INSTALL_DIR}/bin/ModelLoader.sh
	cp startJSK.sh		${INSTALL_DIR}/bin/ && chmod u+x ${INSTALL_DIR}/bin/startJSK.sh
	cp Robot.conf		${INSTALL_DIR}/etc/${ROBOT}/hrprtc/
	cp rtcdRobotMode.conf	${INSTALL_DIR}/etc/${ROBOT}/hrprtc/
	cp PDgains.sav          ${INSTALL_DIR}/etc/${ROBOT}/hrprtc/

test.linux:
	make -f Makefile configure install \
		MODULE_LOAD_PATH=`rospack find hrpsys`/lib \
		INSTALL_DIR=/tmp
	@mkdir -p /tmp/etc/HIRONX/model/
	@cp `rospack find hironx_ros_bridge`/models/kawada-hironx.dae /tmp/etc/HIRONX/model/main.wrl
	@rosrun openrtm_aist rtm-naming 15005 || (sh -c '/bin/echo -e "\e[1;32m\nplease try\n pkill -9 openhrp-model-l; pkill -9 rtcd; pkill -9 omniNames\n and make test.inux again\e[0m"'; false)
	@rosrun openhrp3 openhrp-model-loader -ORBInitRef NameService=corbaloc:iiop:localhost:15005/NameService &
	@rosrun openrtm_aist rtcd -f /tmp/etc/${ROBOT}/hrprtc/rtcdRobotMode.conf &
	@sleep 3
	@echo -e ''
	@echo -e '\e[1;32mtry following commad to check rtcd for hiro\e[0m'
	@echo -e '\e[1;32m  rosrun hironx_ros_bridge hironx.py -ORBInitRef NameService=corbaloc:iiop:localhost:15005/NameService\e[0m'
	@echo -e '\e[1;32m  RTCTREE_NAMESERVERS=localhost:15005 rtls localhost:15005/\e[0m'
	@echo -e ''
	@echo -e '\e[1;31m[hit return key to quit]\e[0m'
	@read variable
	pkill -9 openhrp-model-loader || pkill -9 openhrp-model-l
	pkill -9 rtcd
	pkill -9 omniNames

=== robot/dynpick/Makefile ===
all: dynpick_driver sample_dynpick test-com

dynpick_driver: dynpick_driver.cpp
	g++ -o dynpick_driver dynpick_driver.cpp

sample_dynpick: sample_dynpick.c
	gcc -o $@ $^

test-com: test-com.c
	gcc -o $@ $^

=== robot/nitta/Makefile ===
all: jr3_driver  sample

jr3_driver: jr3_driver.cpp QNX101/jr3pci3.idm
	g++ -o jr3_driver jr3_driver.cpp

sample: sample.c
	gcc -o $@ $^

QNX101/jr3pci3.idm:
	wget http://www.nitta.co.jp/images/product/sensor/pdf_ifs/qnx101.zip -O qnx.zip
	unzip qnx.zip

=== debian/changelog ===
ros-kinetic-hironx-ros-bridge (2.1.1-0xenial) xenial; urgency=high

  * Avoid node clashing when USE_COLLISIONCHECK is true (#528 <https://github.com/start-jsk/rtmros_hironx/issues/528> )
  * hironx_ros_bridge/test/test-hironx-ros-bridge.test: increse time-limit from 100 to 200 (#531 <https://github.com/start-jsk/rtmros_hironx/issues/531> )
    
      * increse time-limit from 100 to 200, to solve https://api.travis-ci.org/v3/job/407698809/log.txt
    
  * fix python_qt_binding for qt5 (#525 <https://github.com/start-jsk/rtmros_hironx/issues/525> )
  * hironx_ros_bridge/src/hironx_ros_bridge/old_api.py: add python file to support old api (#521 <https://github.com/start-jsk/rtmros_hironx/issues/521> )
  * Contributors: Guilherme Affonso, Kei Okada, Felix von Drigalski

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Feb 2019 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (2.1.0-0xenial) xenial; urgency=high

  * get nshost from rtmnameserver, sometimes nshost is different from rosmaster (#513 <https://github.com/start-jsk/rtmros_hironx/issues/513>)
  * hironx_ros_bridge_real.launch: support HRPSYS_PY_{PKG,NAME,ARGS} as https://github.com/start-jsk/rtmros_common/blob/master/hrpsys_tools/launch/hrpsys.launch#L97-L103 (#514 <https://github.com/start-jsk/rtmros_hironx/issues/514>)
  * Add hand_joint_state_publisher.py for 2017/Feb? verison of MoveIt, that strictly requrired all robot states for planning (#519 <https://github.com/start-jsk/rtmros_hironx/issues/519>)
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 Sep 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (2.0.0-0xenial) xenial; urgency=high

  * [ros_bridge.py][startImpedance_315_3] More precise error message. (#502 <https://github.com/start-jsk/rtmros_hironx/issues/502>)
    *  When run by itself, getImpedanceControllerParam command at least finishes, so it's not failing. The error message is a bit misleading about what happened internally in startImpedance_315_3 method.
  * use docker to run tests and add kinetic test (#517 <https://github.com/start-jsk/rtmros_hironx/issues/517> from k-okada/kinetic)
    * fix install(CDOE
    * use control_msgs is pr2_controllers_msgs is not exists
    * test/test-hironx.test: add retry=4
    * remove pr2_controller_msgs and use control_msgs
  * enable to output forcesensor value on simulation (#510 <https://github.com/start-jsk/rtmros_hironx/issues/510>)
  * [qnx dynpick] Add a working setting to start sensor drivers connected via USB hub (#509 <https://github.com/start-jsk/rtmros_hironx/issues/509>)
  * robot_description before staring ROS_Client (RobotCommander) (#511 <https://github.com/start-jsk/rtmros_hironx/issues/511>)
  * clearOfGroup after setTargetPose breaks sequencer (#505 <https://github.com/start-jsk/rtmros_hironx/issues/505>)
    * [ros_bridge] Set hrpsys version limitation to some methods.
    * temporaly workaround utnil https://github.com/fkanehiro/hrpsys-base/pull/1141, send setJointAnglesOfGrup to clear sequencer
    * add test to check https://github.com/tork-a/rtmros_nextage/issues/332 situation
  * Contributors: Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Aug 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.25-0xenial) xenial; urgency=high

  * [QNX log fetch] Fix to get it working again.
  * [QNX log fetch] Add a feature to remove existing .log files on QNX to save disk space. #508 <https://github.com/start-jsk/rtmros_hironx/pull/508>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Jun 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.24-0xenial) xenial; urgency=high

  * [py] Better error msg, better doc about impedance control. #496 <https://github.com/start-jsk/rtmros_hironx/pull/496>, #499 <https://github.com/start-jsk/rtmros_hironx/pull/499>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.23-0xenial) xenial; urgency=high

  * [enhancement][test] Common testcase module location change #490 <https://github.com/start-jsk/rtmros_hironx/issues/490>.
  * [doc] More elaboration on startImpedance* methods.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 03 Apr 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.22-0xenial) xenial; urgency=high

  * [Improve][rtm py] Return more specific error when actual error occurs. #487 <https://github.com/start-jsk/rtmros_hironx/issues/487>.
  * [test] Export a common test py module. #490 <https://github.com/start-jsk/rtmros_hironx/issues/490>.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Mar 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.21-0xenial) xenial; urgency=high

  * [fix][hironx py] Let setTargetPose fail when invalid kinematic group name passed. #470 <https://github.com/start-jsk/rtmros_hironx/pull/470>
  * [capability][hrpsys-sim] Add hand camera feature.
  * [capability] Add rviz.launch. Now you can run RViz with a default view (without running MoveIt! when you don't need to).

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Mar 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.20-0xenial) xenial; urgency=high

  * [Capability] Enable head cameras for hrpsys simulator.
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-kinetic-hironx-ros-bridge (1.1.19-0xenial) xenial; urgency=high

  * [fix] more precision on end effector's location
  * [fix][dynpick qnx driver] compilation.
  * [fix][hironx script] Correct exception when no ROS master found.
  * [fix] updated translation of last joint to match CAD data. updated arm end translation
  * Contributors: Hajime SAITO, Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000



=== debian/control ===
Source: ros-kinetic-hironx-ros-bridge
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), gnuplot, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-hrpsys-ros-bridge, ros-kinetic-mk, ros-kinetic-rosbash, ros-kinetic-rosbuild, ros-kinetic-roslang, ros-kinetic-roslib, ros-kinetic-roslint, unzip
Homepage: http://ros.org/wiki/hironx_ros_bridge
Standards-Version: 3.9.2

Package: ros-kinetic-hironx-ros-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnuplot, ros-kinetic-control-msgs, ros-kinetic-hrpsys-ros-bridge, ros-kinetic-moveit-commander, ros-kinetic-openni2-launch, ros-kinetic-rosbash, ros-kinetic-roslang, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-tf
Description: ROS-OpenRTM interfacing package for the opensource version of Kawada's Hiro/NEXTAGE dual-arm robot.
 NOTE: This package is multi-license -- pay attention to file header in each file where license is declared. For Creative Commons nc 4.0 applied, see here. This package also contains some sensor driver software (as of April 2016 they are the following force sensors such as Dynpick and JR3) for QNX. These drivers are stored in this robot-specific package for not many reasons than they are slightly customized for the robot. So if you can separate those as a standalone, generic package that'll be appreciated (please just let us know if you will).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-hironx-ros-bridge//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
